# SMS Forwarder

一个将 iOS 短信转发到 Android 设备的通知服务器。

## 功能特性

- 接收来自 iPhone 快捷指令的短信内容
- 支持多种推送方式（Pushbullet、FCM、Gotify、ntfy 等）
- 基于 FastAPI 的高性能 HTTP 服务器
- 使用 Apprise 库支持 80+ 种通知服务
- YAML 配置文件，支持多推送目标
- API 密钥认证，确保安全性
- 完整的日志记录和错误处理

## 快速开始

### 1. 环境要求

- Python 3.10+
- uv 包管理器

### 2. 安装

```bash
# 克隆项目
git clone <repository-url>
cd notification

# 使用 uv 安装依赖
uv sync
```

### 3. 配置

复制配置文件模板并编辑：

```bash
cp config.example.yaml config.yaml
```

编辑 `config.yaml` 文件，配置你的推送服务。

### 4. 运行

```bash
# 开发模式
uv run uvicorn sms_forwarder.main:app --reload --host 0.0.0.0 --port 8000

# 生产模式
uv run sms-forwarder
```

## 支持的推送服务

- **Pushbullet** - 推荐，设置简单
- **FCM (Firebase Cloud Messaging)** - Google 官方推送
- **Gotify** - 自托管推送服务
- **ntfy** - 开源推送服务
- **Discord、Telegram、Slack** 等 80+ 种服务

## iPhone 快捷指令配置

详见 [iPhone 配置指南](docs/iphone-setup.md)

## API 文档

服务器启动后访问 `http://localhost:8000/docs` 查看 API 文档。

## 许可证

MIT License
